#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	OpenSSL-RSA
Summary:	Crypt::OpenSSL::RSA - RSA encoding and decoding, using the OpenSSL libraries
Summary(pl.UTF-8):	Crypt::OpenSSL::RSA - kodowanie i dekodowanie RSA przy użyciu OpenSSL
Name:		perl-Crypt-OpenSSL-RSA
Version:	0.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d33681e19d2094df7c26bc7a4509265e
URL:		https://metacpan.org/dist/Crypt-OpenSSL-RSA
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-Crypt-OpenSSL-Guess >= 0.11
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.48
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-Random
BuildRequires:	perl-Test-Simple
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key.  It also allows for
decryption, signatures and signature verification.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::RSA udostępnia możliwość kodowania algorytmem
RSA łańcuchów, które są krótsze niż rozmiar bloku klucza. Pozwala
także na odszyfrowywanie oraz weryfikację podpisów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/RSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/*.al
%{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/RSA/RSA.so
%{_mandir}/man3/Crypt::OpenSSL::RSA.3pm*
%changelog
* Wed Jun 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-RSA.git;a=log;h=auto/th/perl-Crypt-OpenSSL-RSA-0.31-1

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 58a932e
- updated to 0.31

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 1167c7c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1c84912
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1c4f4ac
- rebuild with perl 5.30.0
- release 4 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 72504cc
- release 3 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 9e85630
- release 2 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> b7a82e8
- updated to 0.30

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1f7c7a6
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 37c603f
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2f7c8f5
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1ce80d2
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4a868c0
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> bda8b6c
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> de8dd83
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 56af591
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 17f3bd8
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> a173b70
- verbose man files

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 8c2b80c
- updated to 0.28

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> fa34b1c
- rel 8

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 31cdec6
- release 7

